漏洞信息详情

Parsec 安全漏洞

  • CNNVD编号:CNNVD-201802-092
  • 危害等级: 高危
  • CVE编号: CVE-2018-6651
  • 漏洞类型: 跨站请求伪造
  • 发布时间: 2018-02-06
  • 威胁类型: 远程
  • 更新时间: 2019-10-10
  • 厂        商: uncurl_project
  • 漏洞来源:

漏洞简介

Parsec是一个多线程应用程序组成的测试程序集。uncurl是一款基于C语言的HTTP/HTTPS客户端库。

Parsec 140-3之前版本中的uncurl 0.07之前版本的uncurl.c文件的‘uncurl_ws_accept’函数存在安全漏洞,该漏洞源于程序没有对WebSocket API请求执行充分的源包头检测。远程攻击者可利用该漏洞绕过访问限制。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/chrisd1100/uncurl/commit/448cd13e7b18c83855d706c564341ddd1e38e769

参考网址

来源:CONFIRM

链接:https://github.com/chrisd1100/uncurl/commit/448cd13e7b18c83855d706c564341ddd1e38e769

来源:MISC

链接:https://gist.github.com/Zenexer/ac7601c0e367d876353137e5099b18a7

来源:CONFIRM

链接:https://github.com/chrisd1100/uncurl/releases/tag/0.07

漏洞信息快速查询

相关漏洞

更多